Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2107915 - Review Request: python-plac - The smartest command line arguments parser in the world
Summary: Review Request: python-plac - The smartest command line arguments parser in t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro, NeuroFedora 2109250
TreeView+ depends on / blocked
 
Reported: 2022-07-17 14:55 UTC by Ben Beasley
Modified: 2022-08-05 02:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-25 20:20:09 UTC
Type: ---
Embargoed:
sanjay.ankur: fedora-review+


Attachments (Terms of Use)

Description Ben Beasley 2022-07-17 14:55:31 UTC
Spec URL: https://music.fedorapeople.org/python-plac.spec
SRPM URL: https://music.fedorapeople.org/python-plac-1.3.5-1.fc36.src.rpm
Description:

plac is a Python package that can generate command line parameters from
function signatures.

plac works on Python 2.6 through all versions of Python 3.

plac has no dependencies beyond modules already present in the Python standard
library.

plac implements most of its functionality in a single file that may be included
in your source code.

Fedora Account System Username: music

This is an indirect dependency for the latest version of snakemake, via python-yte.

Koji scratch builds:

F37: https://koji.fedoraproject.org/koji/taskinfo?taskID=89610064
F36: https://koji.fedoraproject.org/koji/taskinfo?taskID=89610065
F35: https://koji.fedoraproject.org/koji/taskinfo?taskID=89610066

Comment 1 Ankur Sinha (FranciscoD) 2022-07-25 16:44:15 UTC
Looks good, XXX APPROVED XXX


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 83 files have unknown license. Detailed
     output of licensecheck in /home/asinha/dump/fedora-
     reviews/2107915-python-plac/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-plac
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Cannot parse rpmlint output:


^
Ran manually, no errors.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:

^

Meh.


Source checksums
----------------
https://github.com/ialbert/plac/archive/v1.3.5/plac-1.3.5.tar.gz :
  CHECKSUM(SHA256) this package     : 78a2bbef78c6463366d4b48692a86af00d4d4f7dfbe233583ca36fc5918f7ac6
  CHECKSUM(SHA256) upstream package : 78a2bbef78c6463366d4b48692a86af00d4d4f7dfbe233583ca36fc5918f7ac6


Requires
--------
python3-plac (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)

python-plac-doc (rpmlib, GLIBC filtered):



Provides
--------
python3-plac:
    python-plac
    python3-plac
    python3.11-plac
    python3.11dist(plac)
    python3dist(plac)

python-plac-doc:
    python-plac-doc



Generated by fedora-review 0.8.0 (e988316) last change: 2022-04-07
Command line :/usr/bin/fedora-review -b 2107915
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: R, Java, Ocaml, C/C++, fonts, PHP, Haskell, SugarActivity, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Ben Beasley 2022-07-25 16:50:48 UTC
Thank you for the review!

Repository requested: https://pagure.io/releng/fedora-scm-requests/issue/45943

Here is the rpmlint output. You have to run it manually with current fedora-review.

=============================================== rpmlint session starts ===============================================
rpmlint: 2.2.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 32, packages: 3

================ 3 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.7 s ================

Comment 3 Gwyn Ciesla 2022-07-25 17:47:31 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-plac

Comment 4 Fedora Update System 2022-07-25 20:16:34 UTC
FEDORA-2022-d890e15da8 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d890e15da8

Comment 5 Fedora Update System 2022-07-25 20:20:09 UTC
FEDORA-2022-d890e15da8 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2022-07-26 22:44:25 UTC
FEDORA-2022-63682875dd has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-63682875dd

Comment 7 Fedora Update System 2022-07-26 22:52:13 UTC
FEDORA-2022-19b7563fee has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-19b7563fee

Comment 8 Fedora Update System 2022-07-27 00:55:02 UTC
FEDORA-EPEL-2022-4448537502 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-4448537502

Comment 9 Fedora Update System 2022-07-27 02:05:14 UTC
FEDORA-2022-63682875dd has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-63682875dd \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-63682875dd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-07-27 02:59:10 UTC
FEDORA-2022-19b7563fee has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-19b7563fee \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-19b7563fee

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-07-28 02:05:14 UTC
FEDORA-EPEL-2022-4448537502 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-4448537502

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-08-04 01:33:44 UTC
FEDORA-2022-63682875dd has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2022-08-04 01:37:50 UTC
FEDORA-2022-19b7563fee has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2022-08-05 02:04:07 UTC
FEDORA-EPEL-2022-4448537502 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.